org.encog.ml.data.versatile

## Class BasicNormalizationStrategy

- java.lang.Object
- - org.encog.ml.data.versatile.BasicNormalizationStrategy

- All Implemented Interfaces:
    NormalizationStrategy

      public class BasicNormalizationStrategy
      extends Object
      implements NormalizationStrategy

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicNormalizationStrategy()`
    `BasicNormalizationStrategy(double inputLow, double inputHigh, double outputLow, double outputHigh)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assignInputNormalizer(ColumnType colType, Normalizer norm)`
    `void` | `assignOutputNormalizer(ColumnType colType, Normalizer norm)`
    `int` | `calculateTotalRows(int analyzedRows)`
    `String` | `denormalizeColumn(ColumnDefinition colDef, boolean isInput, MLData data, int dataColumn)`
    `Map<ColumnType,Normalizer>` | `getInputNormalizers()`
    `Map<ColumnType,Normalizer>` | `getOutputNormalizers()`
    `int` | `normalizeColumn(ColumnDefinition colDef, boolean isInput, double value, double[] outputData, int outputColumn)`
    `int` | `normalizeColumn(ColumnDefinition colDef, boolean isInput, String value, double[] outputData, int outputColumn)`
    `int` | `normalizedSize(ColumnDefinition colDef, boolean isInput)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicNormalizationStrategy

          public BasicNormalizationStrategy()

    - #### BasicNormalizationStrategy

          public BasicNormalizationStrategy(double inputLow,
                                    double inputHigh,
                                    double outputLow,
                                    double outputHigh)

  - ### Method Detail

    - #### assignInputNormalizer

          public void assignInputNormalizer(ColumnType colType,
                                   Normalizer norm)

    - #### assignOutputNormalizer

          public void assignOutputNormalizer(ColumnType colType,
                                    Normalizer norm)

    - #### calculateTotalRows

          public int calculateTotalRows(int analyzedRows)

      Specified by:
        `calculateTotalRows` in interface `NormalizationStrategy`

    - #### normalizedSize

          public int normalizedSize(ColumnDefinition colDef,
                           boolean isInput)

      Specified by:
        `normalizedSize` in interface `NormalizationStrategy`

    - #### normalizeColumn

          public int normalizeColumn(ColumnDefinition colDef,
                            boolean isInput,
                            String value,
                            double[] outputData,
                            int outputColumn)

      Specified by:
        `normalizeColumn` in interface `NormalizationStrategy`

    - #### normalizeColumn

          public int normalizeColumn(ColumnDefinition colDef,
                            boolean isInput,
                            double value,
                            double[] outputData,
                            int outputColumn)

      Specified by:
        `normalizeColumn` in interface `NormalizationStrategy`

    - #### getInputNormalizers

          public Map<ColumnType,Normalizer> getInputNormalizers()

      Returns:
        the inputNormalizers

    - #### getOutputNormalizers

          public Map<ColumnType,Normalizer> getOutputNormalizers()

      Returns:
        the outputNormalizers

    - #### denormalizeColumn

          public String denormalizeColumn(ColumnDefinition colDef,
                                 boolean isInput,
                                 MLData data,
                                 int dataColumn)

      Specified by:
        `denormalizeColumn` in interface `NormalizationStrategy`

Copyright © 2014. All Rights Reserved.